## CGAL::In_place_list_base<T>

### Definition

The node base classes provides pointers to build linked lists. The class In_place_sl_list_base<T> provides a pointer next_link for a single linked list. The class In_place_list_base<T> provides an additional pointer prev_link for doubly linked lists. These names conform to the default parameters used in the template argument lists of the container classes. The pointers are public members.

#include <CGAL/In_place_list.h>

### Variables

T* | next_link; | forward pointer
T* | prev_link; | backward pointer